Bug 524334 - SELinux is preventing firefox from loading Logmein plugin
Summary: SELinux is preventing firefox from loading Logmein plugin
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: libbonobo
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-18 22:48 UTC by Byron
Modified: 2010-06-28 14:43 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:43:46 UTC
Type: ---


Attachments (Terms of Use)
selinux alert from logmein plugin (3.20 KB, text/plain)
2009-09-18 22:48 UTC, Byron
no flags Details

Description Byron 2009-09-18 22:48:38 UTC
Created attachment 361722 [details]
selinux alert from logmein plugin

Description of problem:
SELinux is preventing firefox from loading /usr/lib/firefox/plugins/libractrl.so
which requires text relocation.


Version-Release number of selected component (if applicable):

Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.1.3) Gecko/20090909 Fedora/3.5.3-1.fc11 Firefox/3.5.3

logmein-client-1.0.387-1.i386.rpm

How reproducible:
Installed rpm from Logmein lad/beta site.

Steps to Reproduce:
1.Installed pkg
2.Started Firefox
3.Error
  
Actual results:

Summary:

SELinux is preventing firefox from loading /usr/lib/firefox/plugins/libractrl.so
which requires text relocation.

Detailed Description:

The firefox application attempted to load /usr/lib/firefox/plugins/libractrl.so
which requires text relocation. This is a potential security problem. Most
libraries do not need this permission. Libraries are sometimes coded incorrectly
and request this permission. The SELinux Memory Protection Tests
(http://people.redhat.com/drepper/selinux-mem.html) web page explains how to
remove this requirement. You can configure SELinux temporarily to allow
/usr/lib/firefox/plugins/libractrl.so to use relocation as a workaround, until
the library is fixed. Please file a bug report
(http://bugzilla.redhat.com/bugzilla/enter_bug.cgi) against this package.

Allowing Access:

If you trust /usr/lib/firefox/plugins/libractrl.so to run correctly, you can
change the file context to textrel_shlib_t. "chcon -t textrel_shlib_t
'/usr/lib/firefox/plugins/libractrl.so'" You must also change the default file
context files on the system in order to preserve them even on a full relabel.
"semanage fcontext -a -t textrel_shlib_t
'/usr/lib/firefox/plugins/libractrl.so'"

Fix Command:

chcon -t textrel_shlib_t '/usr/lib/firefox/plugins/libractrl.so'

Additional Information:

Source Context                unconfined_u:unconfined_r:unconfined_execmem_t:s0-
                              s0:c0.c1023
Target Context                system_u:object_r:lib_t:s0
Target Objects                /usr/lib/firefox/plugins/libractrl.so [ file ]
Source                        firefox
Source Path                   /usr/lib/firefox-3.5.3/firefox
Port                          <Unknown>
Host                          home.byron
Source RPM Packages           firefox-3.5.3-1.fc11
Target RPM Packages           logmein-client-1.0.387-1
Policy RPM                    selinux-policy-3.6.12-82.fc11
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   allow_execmod
Host Name                     home.byron
Platform                      Linux home.byron 2.6.30.5-43.fc11.i586 #1 SMP Thu
                              Aug 27 21:18:54 EDT 2009 i686 i686
Alert Count                   88
First Seen                    Wed 16 Sep 2009 06:32:23 PM EDT
Last Seen                     Fri 18 Sep 2009 04:42:52 PM EDT
Local ID                      02aae1b5-8379-4f15-9e17-91e9c308f43e
Line Numbers                  

Raw Audit Messages            

node=home.byron type=AVC msg=audit(1253306572.997:32): avc:  denied  { execmod } for  pid=2543 comm="firefox" path="/usr/lib/firefox/plugins/libractrl.so" dev=dm-0 ino=9015 scontext=unconfined_u:unconfined_r:unconfined_execmem_t:s0-s0:c0.c1023 tcontext=system_u:object_r:lib_t:s0 tclass=file

node=home.byron type=SYSCALL msg=audit(1253306572.997:32): arch=40000003 syscall=125 success=no exit=-13 a0=68c9000 a1=694000 a2=5 a3=bfc758b0 items=0 ppid=2514 pid=2543 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=1 comm="firefox" exe="/usr/lib/firefox-3.5.3/firefox" subj=unconfined_u:unconfined_r:unconfined_execmem_t:s0-s0:c0.c1023 key=(null)



Expected results:
Ran Fix Command:

chcon -t textrel_shlib_t '/usr/lib/firefox/plugins/libractrl.so'but received no fix.

Additional info:

I am new at this so please send detailed instructions if you can.

Comment 1 Bug Zapper 2010-04-28 10:28:05 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Bug Zapper 2010-06-28 14:43:46 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.